package pg.android.activity;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.widget.LinearLayout;

/**
 * Zeigt den Verlauf der gespeicherten Werten, die von Sensoren gespeichert wurden
 */
public class SensorHistoryActivity extends Activity {	
	HistoryView historyView = null;
	
	//empfngt Nachrichten wenn neuer Wert inzugefgt wurde und aktuallisiert View
    private final BroadcastReceiver broadcastReceiver = new BroadcastReceiver() {
		@Override
		public void onReceive(Context context, Intent intent) {
			String action = intent.getAction();
			
			if (action.equals("VALUECHANGED")) {
				historyView.invalidate();
				historyView.refreshDrawableState();
			}
		}
    };	
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		Bundle extras = getIntent().getExtras();
		int nummer = extras.getInt("DeviceNummer");

		setContentView(R.layout.sensorhistorylayout);

		historyView  = new HistoryView(this, nummer);

        LinearLayout layout = (LinearLayout)findViewById(R.id.vertikalLayout); 
        layout.addView(historyView);
        
        registerReceiver(broadcastReceiver,new IntentFilter("VALUECHANGED")); 
	}
	
	@Override
	protected void onDestroy() {
		super.onDestroy();
		unregisterReceiver(broadcastReceiver);	//BroadcastReceiver unregistrieren
	}
}
